| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
IExceptionSvc Class Referenceabstract

The abstract interface for exception handling service. More...

`#include <GaudiKernel/IExceptionSvc.h>`

Inheritance diagram for IExceptionSvc:
[legend]
Collaboration diagram for IExceptionSvc:
[legend]

## Public Member Functions
| DeclareInterfaceID (IExceptionSvc, 3, 0)
| InterfaceID. More...
virtual StatusCode | handle (const INamedInterface &o, const GaudiException &e) const =0
| Handle caught GaudiExceptions. More...
virtual StatusCode | handle (const INamedInterface &o, const std::exception &e) const =0
| Handle caught std::exceptions. More...
virtual StatusCode | handle (const INamedInterface &o) const =0
| Handle caught (unknown)exceptions. More...
virtual StatusCode | handleErr (const INamedInterface &o, const StatusCode &s) const =0
| Handle errors. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Protected Member Functions
| ~IExceptionSvc () override=default
| virtual and protected destructor More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

The abstract interface for exception handling service.

See also
  GaudiException

Author
  (1) ATLAS collaboration
  (2) modified by Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-03-08

Definition at line 24 of file IExceptionSvc.h.

## Constructor & Destructor Documentation

IExceptionSvc::~IExceptionSvc | ( |  | ) |
| override protected default

virtual and protected destructor

## Member Function Documentation

IExceptionSvc::DeclareInterfaceID | ( | IExceptionSvc | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IExceptionSvc::handle | ( | const INamedInterface & | o,
|  | const GaudiException & | e
| ) |  | const
| pure virtual

Handle caught GaudiExceptions.

Handle caught exceptions

virtual StatusCode IExceptionSvc::handle | ( | const INamedInterface & | o,
|  | const std::exception & | e
| ) |  | const
| pure virtual

Handle caught std::exceptions.

Handle caught exceptions

virtual StatusCode IExceptionSvc::handle | ( | const INamedInterface & | o | ) | const
| pure virtual

Handle caught (unknown)exceptions.

Handle caught exceptions

virtual StatusCode IExceptionSvc::handleErr | ( | const INamedInterface & | o,
|  | const StatusCode & | s
| ) |  | const
| pure virtual

Handle errors.

Handle errors

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IExceptionSvc.h